Bug 490197 - Xorg crash when running two servers and closing laptop lid
Xorg crash when running two servers and closing laptop lid
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 14:58 EDT by Clemens Eisserer
Modified: 2009-05-15 11:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 11:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (33.74 KB, text/plain)
2009-03-31 10:41 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Clemens Eisserer 2009-03-13 14:58:19 EDT
Description of problem:
When running two x-servers side by side (the first one on F1, the second one on F7), either one or both crash when closing the laptop lid. 

Version-Release number of selected component (if applicable):
intel-2.6.99
xorg-xserver 1.6.0-9.fc11

How reproducible:
Almost always

Steps to Reproduce:
1. Log in to KDE
2. Press Ctrl + Alt + Ins and open a new session
3. Login into the second session
4. Close the Laptop lid

Actual results:
At least one, but more likely both XServers crash

Expected results:
No crash

Additional info:
Smolt report: http://pastebin.com/f4e443885
Xorg.0.log: http://pastebin.com/f3cb977f2
Comment 1 Clemens Eisserer 2009-03-24 18:34:25 EDT
I tried to debug this issue a bit further myself, however things are really strange.

I can attach gdb, everything seems fine but when the X-server restartsnothing actually happens. It seems the x-server stops to exist (or closes itself?), and gdb is left behind alone :-/
Comment 2 Matěj Cepl 2009-03-31 10:41:37 EDT
Created attachment 337316 [details]
/var/log/Xorg.0.log
Comment 4 Matěj Cepl 2009-04-02 13:04:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Clemens Eisserer 2009-05-15 11:51:44 EDT
Sorry for not keeping you up2date. With the latest updates I don't experience problems with multiple X-Servers running simultaneously.

So consider this as fixed :)

Note You need to log in before you can comment on or make changes to this bug.